{"type":"api","title":"List Cloud agents with local problems","meta":{"id":"/apps/pubhub/media/000-v7-apis/2cabdc9a06013343df12ec6445cac4b1398af4a3/301f59de-3d0d-342e-94f3-1388b071308d","info":{"title":"Agents API","version":"7.0.97","description":"\n## Overview\nManage Cloud and Enterprise Agents available to your account in ThousandEyes."},"security":[{"BearerAuth":[]}],"tags":[{"name":"Cloud and Enterprise Agents"},{"name":"Local Problems"},{"name":"Enterprise Agent Cluster"},{"name":"Cloud and Enterprise Agent Notification Rules"},{"name":"Agent Proxies"}],"externalDocs":{"description":"Find out more about Agents & Monitors","url":"https://docs.thousandeyes.com/product-documentation/global-vantage-points/working-with-agent-settings"},"openapi":"3.0.1","servers":[{"description":"ThousandEyes API production URL","url":"https://api.thousandeyes.com/v7"}],"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication token"}}},"spec":{"tags":["Local Problems"],"summary":"List Cloud agents with local problems","operationId":"getAgentsLocalProblems","description":"Returns local problem intervals for Cloud Agents available to your account in ThousandEyes. FedRAMP Cloud Agents are not included. Local problems indicate agent-side impairment detected by ThousandEyes and do not indicate that a monitored target or service was down.\n\nIf no time range is specified, this operation returns active local problems.\n","parameters":[{"name":"aid","in":"query","description":"A unique identifier associated with your account group. You can retrieve your `AccountGroupId` from the `/account-groups` endpoint. Note that you must be assigned to the target account group. Specifying this parameter without being assigned to the target account group will result in an error response.","required":false,"schema":{"type":"string","example":"1234"},"$$ref":"#/components/parameters/AccountGroupId"},{"name":"window","in":"query","description":"A dynamic time interval up to the current time of the request. Specify the interval as a number followed by an optional type: `s` for seconds (default if no type is specified), `m` for minutes, `h` for hours, `d` for days, and `w` for weeks.\nFor a precise date range, use `startDate` and `endDate`.","schema":{"type":"string","pattern":"^\\d+(?:[smhdw]{1})?$","example":"12h"},"$$ref":"#/components/parameters/Window"},{"name":"startDate","in":"query","description":"Use with the `endDate` parameter. Include the complete time (hours, minutes, and seconds) in UTC time zone, following the ISO 8601 date-time format. See the example for reference. Please note that this parameter can't be used with `window`.","schema":{"type":"string","format":"date-time","example":"2022-07-17T22:00:54Z"},"$$ref":"#/components/parameters/StartDateParameter"},{"name":"endDate","in":"query","description":"Defaults to current time the request is made. Use with the `startDate` parameter. Include the complete time (hours, minutes, and seconds) in UTC time zone, following the ISO 8601 date-time format. See the example for reference. Please note that this parameter can't be used with `window`.","schema":{"type":"string","format":"date-time","example":"2022-07-18T22:00:54Z"},"$$ref":"#/components/parameters/EndDateParameter"}],"responses":{"200":{"description":"OK","content":{"application/hal+json":{"schema":{"type":"object","properties":{"localProblems":{"type":"array","items":{"type":"object","required":["agent","startDate","duration","active"],"properties":{"agent":{"type":"object","properties":{"agentId":{"type":"string","description":"Agent ID.","example":"281474976710706","readOnly":true,"$$ref":"#/components/schemas/LocalProblemAgentId"},"agentName":{"type":"string","description":"Agent name.","example":"thousandeyes-stg-va-254","readOnly":true,"$$ref":"#/components/schemas/LocalProblemAgentName"},"countryId":{"type":"string","description":"Two-letter ISO country code where the agent is located.","example":"US","readOnly":true,"$$ref":"#/components/schemas/LocalProblemAgentCountryId"},"location":{"type":"string","description":"Agent location.","nullable":true,"example":"San Francisco Bay Area","readOnly":true,"$$ref":"#/components/schemas/LocalProblemAgentLocation"}},"$$ref":"#/components/schemas/LocalProblemAgent"},"startDate":{"type":"string","description":"Date and time when the local problem interval started, in UTC.","format":"date-time","example":"2026-05-18T03:14:00Z","readOnly":true,"$$ref":"#/components/schemas/LocalProblemStartDate"},"endDate":{"type":"string","description":"Date and time when the local problem interval ended, in UTC. This value is `null` when the local problem is active.","format":"date-time","nullable":true,"example":"2026-05-18T03:22:00Z","readOnly":true,"$$ref":"#/components/schemas/LocalProblemEndDate"},"duration":{"type":"integer","description":"Duration of the local problem interval in seconds.","example":480,"readOnly":true,"$$ref":"#/components/schemas/LocalProblemDuration"},"active":{"type":"boolean","description":"Indicates whether the local problem is active.","example":false,"readOnly":true,"$$ref":"#/components/schemas/LocalProblemActive"}},"$$ref":"#/components/schemas/LocalProblem"}},"startDate":{"type":"string","format":"date-time","example":"2022-07-17T22:00:54Z","description":"(Optional) When passing `window` or `startDate` parameter, the client will also receive the `startDate` field indicating the UTC start date of the data's time range being retrieved (ISO date-time format).","readOnly":true,"$$ref":"#/components/schemas/StartDate"},"endDate":{"type":"string","format":"date-time","example":"2022-07-18T22:00:54Z","description":"(Optional) When passing `window` or `endDate` parameter, the client will also receive the `endDate` field indicating the UTC end date of the data's time range being retrieved (ISO date-time format).","readOnly":true,"$$ref":"#/components/schemas/EndDate"},"_links":{"type":"object","description":"A links object containing the self link.","readOnly":true,"properties":{"self":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"}},"$$ref":"#/components/schemas/SelfLinks"}},"$$ref":"#/components/schemas/LocalProblemAgentResults"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."},"errors":{"nullable":true,"type":"array","description":"(Optional) When multiple errors occur, the details for each error are listed.","items":{"type":"object","properties":{"code":{"type":"string","description":"(Optional) A unique error type/code that can be referenced in the documentation for further details."},"field":{"type":"string","description":"Identifies the field that triggered this particular error."},"message":{"type":"string","description":"A short, human-readable summary of the error."}},"$$ref":"#/components/schemas/ValidationErrorItem"}}},"$$ref":"#/components/schemas/ValidationError"},"example":{"type":"about:blank","title":"Request validation failed. There are invalid or missing fields","status":400,"detail":"Your request object contains invalid fields.","instance":"/v7","errors":[{"code":"AM-5432","field":"firstName","message":"firstName cannot have fancy characters"},{"code":"DASH-5622","field":"password","message":"Password cannot be blank"}]}}},"$$ref":"#/components/responses/400"},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"type":"object","properties":{"error":{"type":"string","example":"invalid_token"},"error_description":{"type":"string","example":"Invalid access token"}},"$$ref":"#/components/schemas/UnauthorizedError"}}},"$$ref":"#/components/responses/401"},"403":{"description":"Insufficient permissions to query endpoint","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/403"},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"URI Resource Not Found","status":404,"detail":"Details explaining if the 404 error is related to an invalid URI or a wrong ID","instance":"/v7"}}},"$$ref":"#/components/responses/404"},"429":{"description":"Exhausted rate limit for the organization","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/429"},"500":{"description":"Internal server error","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"Internal server error","status":500,"detail":"Optional detail about the internal error message.","instance":"/v7"}}},"$$ref":"#/components/responses/500"},"502":{"description":"Bad Gateway","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/502"},"default":{"description":"An error occurred","$$ref":"#/components/responses/GeneralError"}},"__originalOperationId":"getAgentsLocalProblems","security":[{"BearerAuth":[]}],"method":"get","path":"/agents/local-problems"}}